# Class Parameters

java.lang.Object
jspecview.common.Parameters

Direct Known Subclasses:
  `ColorParameters`

public class Parameters extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Map<ScriptToken, Boolean>`
`htBooleans`
`boolean`
`integralDrawAll`
`double`
`integralMinY`
`double`
`integralOffset`
`double`
`integralRange`
`String`
`name`
`String`
`peakListInterpolation`
`double`
`peakListThreshold`
`int`
`precision`
`double`
`viewOffset`

## Constructor Summary

Constructors
Constructor
Description
`Parameters()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getBoolean(ScriptToken t)`
`Map<ScriptToken, Boolean>`
`getBooleans()`
`static Boolean`
`getTFToggle(String value)`
`static boolean`
`isMatch(String match, String key)`
`static boolean`
`isTrue(String value)`
`static void`
`putInfo(String match, Map<String,Object> info, String key, Object value)`
`boolean`
`setBoolean(ScriptToken st, boolean val)`
`Parameters`
`setName(String name)`
`void`
`setP(PanelData pd, ScriptToken st, String value)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

public String name

### integralMinY

public double integralMinY

### integralRange

public double integralRange

### integralOffset

public double integralOffset

### integralDrawAll

public boolean integralDrawAll

### viewOffset

public double viewOffset

### peakListThreshold

public double peakListThreshold

### peakListInterpolation

public String peakListInterpolation

### precision

public int precision

### htBooleans

protected Map<ScriptToken, Boolean> htBooleans

## Constructor Details

### Parameters

public Parameters()

## Method Details

### setName

public Parameters setName(String name)

### getBooleans

public Map<ScriptToken, Boolean> getBooleans()

### setBoolean

public boolean setBoolean(ScriptToken st, boolean val)

### getBoolean

public boolean getBoolean(ScriptToken t)

### isTrue

public static boolean isTrue(String value)

### getTFToggle

public static Boolean getTFToggle(String value)

### setP

public void setP(PanelData pd, ScriptToken st, String value)

### isMatch

public static boolean isMatch(String match, String key)

### putInfo

public static void putInfo(String match, Map<String,Object> info, String key, Object value)